# This is the CRAN name
%global packname ellipse
# This is the main package version
%global packver 0.4
# Note that some R packages do not use packrel
%global packrel 5

Name:    R-%{packname}
Version: %{packver}.%{packrel}
Release: 1.fc40.lc
Summary: Functions for Drawing Ellipses and Ellipse-Like Confidence Regions

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/ellipse/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    tex(latex), R-devel, texlive-inconsolata
BuildArch:        noarch
Requires:         R-core

%define debug_package %{nil}

%description
R package:
Contains various routines for drawing ellipses and ellipse-like confidence regions, implementing the plots described in Murdoch and Chow (1996). There are also routines implementing the profile plots described in Bates and Watts (1988)

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/NEWS.md
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help

%changelog
* Fri Jun 21 2024 Stuart Raeburn <raeburn@loncapa.org> (0.4.5-1)
- Initial build for R 4.4.1
